Index: uspace/srv/fs/fat/fat_ops.c
===================================================================
--- uspace/srv/fs/fat/fat_ops.c	(revision d44aabd50e603bb6fa7604765bf80addb1023595)
+++ uspace/srv/fs/fat/fat_ops.c	(revision cd688d9d407ba17ea6df2aeaa333efe0c6c756d1)
@@ -85,4 +85,5 @@
 	uint16_t bps;
 	unsigned dps;
+	int rc;
 	
 	assert(node->dirty);
@@ -108,5 +109,6 @@
 	
 	b->dirty = true;		/* need to sync block */
-	block_put(b);
+	rc = block_put(b);
+	assert(rc == EOK);
 }
 
@@ -170,4 +172,5 @@
 	unsigned spc;
 	unsigned dps;
+	int rc;
 
 	if (idxp->nodep) {
@@ -226,5 +229,6 @@
 	nodep->refcnt = 1;
 
-	block_put(b);
+	rc = block_put(b);
+	assert(rc == EOK);
 
 	/* Link the idx structure with the node structure. */
@@ -443,5 +447,6 @@
 			}
 		}
-		block_put(b);
+		rc = block_put(b);
+		assert(rc == EOK);
 	}
 	j = 0;
@@ -477,5 +482,6 @@
 	fat_dentry_name_set(d, name);
 	b->dirty = true;		/* need to sync block */
-	block_put(b);
+	rc = block_put(b);
+	assert(rc == EOK);
 	fibril_mutex_unlock(&parentp->idx->lock);
 
@@ -512,5 +518,6 @@
 	}
 	b->dirty = true;		/* need to sync block */
-	block_put(b);
+	rc = block_put(b);
+	assert(rc == EOK);
 
 	childp->idx->pfc = parentp->firstc;
@@ -539,4 +546,5 @@
 	uint16_t bps;
 	block_t *b;
+	int rc;
 
 	if (!parentp)
@@ -561,5 +569,6 @@
 	d->name[0] = FAT_DENTRY_ERASED;
 	b->dirty = true;		/* need to sync block */
-	block_put(b);
+	rc = block_put(b);
+	assert(rc == EOK);
 
 	/* remove the index structure from the position hash */
@@ -588,4 +597,5 @@
 	fat_dentry_t *d;
 	block_t *b;
+	int rc;
 
 	fibril_mutex_lock(&parentp->idx->lock);
@@ -603,5 +613,6 @@
 				continue;
 			case FAT_DENTRY_LAST:
-				block_put(b);
+				rc = block_put(b);
+				assert(rc == EOK);
 				fibril_mutex_unlock(&parentp->idx->lock);
 				return NULL;
@@ -629,14 +640,17 @@
 					 * run out of 32-bit indices.
 					 */
-					block_put(b);
+					rc = block_put(b);
+					assert(rc == EOK);
 					return NULL;
 				}
 				nodep = fat_node_get_core(idx);
 				fibril_mutex_unlock(&idx->lock);
-				block_put(b);
+				rc = block_put(b);
+				assert(rc == EOK);
 				return FS_NODE(nodep);
 			}
 		}
-		block_put(b);
+		rc = block_put(b);
+		assert(rc == EOK);
 	}
 
@@ -669,4 +683,5 @@
 	block_t *b;
 	unsigned i, j;
+	int rc;
 
 	if (nodep->type != FAT_DIRECTORY)
@@ -691,18 +706,22 @@
 				continue;
 			case FAT_DENTRY_LAST:
-				block_put(b);
+				rc = block_put(b);
+				assert(rc == EOK);
 				fibril_mutex_unlock(&nodep->idx->lock);
 				return false;
 			default:
 			case FAT_DENTRY_VALID:
-				block_put(b);
+				rc = block_put(b);
+				assert(rc == EOK);
 				fibril_mutex_unlock(&nodep->idx->lock);
 				return true;
 			}
-			block_put(b);
+			rc = block_put(b);
+			assert(rc == EOK);
 			fibril_mutex_unlock(&nodep->idx->lock);
 			return true;
 		}
-		block_put(b);
+		rc = block_put(b);
+		assert(rc == EOK);
 	}
 
@@ -901,4 +920,5 @@
 	size_t bytes;
 	block_t *b;
+	int rc;
 
 	if (!fn) {
@@ -937,5 +957,6 @@
 			(void) ipc_data_read_finalize(callid, b->data + pos % bps,
 			    bytes);
-			block_put(b);
+			rc = block_put(b);
+			assert(rc == EOK);
 		}
 	} else {
@@ -969,14 +990,17 @@
 					continue;
 				case FAT_DENTRY_LAST:
-					block_put(b);
+					rc = block_put(b);
+					assert(rc == EOK);
 					goto miss;
 				default:
 				case FAT_DENTRY_VALID:
 					fat_dentry_name_get(d, name);
-					block_put(b);
+					rc == block_put(b);
+					assert(rc == EOK);
 					goto hit;
 				}
 			}
-			block_put(b);
+			rc = block_put(b);
+			assert(rc == EOK);
 			bnum++;
 		}
@@ -1010,4 +1034,5 @@
 	off_t boundary;
 	int flags = BLOCK_FLAGS_NONE;
+	int rc;
 	
 	if (!fn) {
@@ -1055,5 +1080,6 @@
 		    bytes);
 		b->dirty = true;		/* need to sync block */
-		block_put(b);
+		rc = block_put(b);
+		assert(rc == EOK);
 		if (pos + bytes > nodep->size) {
 			nodep->size = pos + bytes;
@@ -1089,5 +1115,6 @@
 		    bytes);
 		b->dirty = true;		/* need to sync block */
-		block_put(b);
+		rc = block_put(b);
+		assert(rc == EOK);
 		/*
 		 * Append the cluster chain starting in mcl to the end of the
